# Personal and /g/chad related gentoo overlay

## Instructions

A running `tor` deamon is an obvious requirement.

The `eselect-repo.conf` entry must look something along the lines of this:
```ini
[agvxov]
location = /var/db/repos/agvxov
sync-type = git
sync-git-clone-extra-opts = -c 'http.https://*.onion.proxy=socks5h://127.0.0.1:9050'
sync-uri = https://bis64wqhh3louusbd45iyj76kmn4rzw5ysawyan5bkxwyzihj67c5lid.onion/anon/agvxov-overlay.git
```

Lastly,
you must add the site ssl certificate to your trusted system certificates,
so `git` wont refuse to connect:
[https://wiki.gentoo.org/wiki/Certificates#Adding\_trusted\_certificates](https://wiki.gentoo.org/wiki/Certificates#Adding_trusted_certificates)

After an `emerge --sync agvxov`,
you should be able to install stuff.

## Notes
Pulling from onion remotes requires its own eclass, `git-r3-tor.eclass`.
This is a slightly modified version of `git-r3.eclass`.
It will be auto downloaded during syncing.
