# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

EGIT_REPO_URI="https://bis64wqhh3louusbd45iyj76kmn4rzw5ysawyan5bkxwyzihj67c5lid.onion/anon/histui.git"
inherit git-r3-tor

DESCRIPTION="Alternative Bash history frontend."

LICENSE="BSD-2"
SLOT="0"
KEYWORDS="amd64 x86"

BDEPEND="dev-build/make sys-devel/flex sys-devel/bison sys-libs/readline sys-libs/ncurses dev-db/sqlite"
RDEPEND="sys-libs/readline sys-libs/ncurses dev-db/sqlite"

src_install() {
	dobin histui
}
