# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

EGIT_REPO_URI="https://bis64wqhh3louusbd45iyj76kmn4rzw5ysawyan5bkxwyzihj67c5lid.onion/xolatile/xyntax.git"
inherit git-r3-tor

DESCRIPTION="Header-only library for syntax definition, highlighting and tokenization."

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"

RDEPEND="xrograms/xtandard"

src_compile() {
	true
}

src_install() {
	insinto /usr/include/xolatile
	doins xyntax.h
}
